Subject: Re: [EAI] I-D Action:draft-ietf-eai-downgraded-display-03.txt

From: Sean Shen 沈烁 <[email-masked]>
Date: Thu, 3 Dec 2009 17:06:22 +0800

Hi, EAI WG and Authors,
I read the draft and have the a few comments.

#1
Usually the "Abstract" is after "Status of this Memo" and "Copyright
Notice", right before the "Table of Contents". I went back to check previous
versions and found that 01 and 02 is in right order. Wondering why this
modification happened.

#2
section 3.2.2
Proper alignments are needed for procedure description part. Usually no
first line indent is needed for each step. 
In step 1, substeps are numbered as step 1.a and 1.b, without indents. But
in step 4, substeps are numbered as 1, 2, ...7, with indents. The substeps
of step 4 has the same numbering as top level steps.

#3
section 3.2.3
I didn't understand the first sentence of this section: 
  "The Unknown Header Fields' Preservation Header Fields SHOULD be left
   as they are unless the MUA has special knowledge of a particular
   field. " 

Also I noticed that "above" and "below" are used in a few places. These are
not necessary when you already clearly refer to the exact sections. 

#4
section 4
The first paragraph describes a scenario that "Downgraded-From" header field
can not be reconstructed. But it's not clear then what will happen. Any
security effects?
The last paragraph refer to "security considerations" in rfc5504 and
rfc4952. But the security considerations in those documents are more about
security issues for downgrading mechenisms. I suppose the security
consideratioins in this document focuses more on downgraded-display. This
should be clarified.

Best,

Sean

> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]] 代表
> [email-masked]
> 发送时间: 2009年12月1日 18:15
> 收件人: [email-masked]
> 抄送: [email-masked]
> 主题: [EAI] I-D Action:draft-ietf-eai-downgraded-display-03.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Email Address Internationalization
Working
> Group of the IETF.
> 
> 
> 	Title           : Displaying Downgraded Messages for Email Address
> Internationalization
> 	Author(s)       : K. Fujiwara, B. Leiba
> 	Filename        : draft-ietf-eai-downgraded-display-03.txt
> 	Pages           : 15
> 	Date            : 2009-12-01
> 
> This document describes a method for displaying downgraded messages which
> originally contained internationalized E-mail addresses or
internationalized
> header fields.
> 
> Status of this Memo
> 
> This Internet-Draft is submitted to IETF in full conformance with the
provisions
> of BCP 78 and BCP 79.
> 
> Internet-Drafts are working documents of the Internet Engineering Task
Force
> (IETF), its areas, and its working groups.  Note that other groups may
also
> distribute working documents as Internet- Drafts.
> 
> Internet-Drafts are draft documents valid for a maximum of six months and
> may be updated, replaced, or obsoleted by other documents at any time.  It
is
> inappropriate to use Internet-Drafts as reference material or to cite them
> other than as "work in progress."
> 
> The list of current Internet-Drafts can be accessed at
> http://www.ietf.org/ietf/1id-abstracts.txt.
> 
> The list of Internet-Draft Shadow Directories can be accessed at
> http://www.ietf.org/shadow.html.
> 
> This Internet-Draft will expire on June 4, 2010.
> 
> Copyright Notice
> 
> Copyright (c) 2009 IETF Trust and the persons identified as the document
> authors.  All rights reserved.
> 
> This document is subject to BCP 78 and the IETF Trust's Legal Provisions
> Relating to IETF Documents
> (http://trustee.ietf.org/license-info) in effect on the date of
publication of this
> document.  Please review these documents carefully, as they describe your
> rights and restrictions with respect to this document.  Code Components
> extracted from this document must include Simplified BSD License text as
> described in Section 4.e of the Trust Legal Provisions and are provided
without
> warranty as described in the BSD License.
> 
> A URL for this Internet-Draft is:
>
http://www.ietf.org/internet-drafts/draft-ietf-eai-downgraded-display-03.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

---

From: Alexey Melnikov <[email-masked]>
Date: Sat, 05 Dec 2009 13:31:13 +0000

>Hi, EAI WG and Authors,
Dear Sean,

>I read the draft and have the a few comments.
Thank you for the comments.

>versions and found that 01 and 02 is in right order. Wondering why this
The order of sections in drafts has changed recently, so this change was 
intended.

>of step 4 has the same numbering as top level steps.
Ok. I can ask RFC Editor to fix that.

>   as they are unless the MUA has special knowledge of a particular
Downgrade document specifies a way to preserve "unknown" header fields 
(i.e. header fields not known to the downgrade process). This sentence 
is trying to say that a client that understands a specific "unknown" 
header field, may apply the procedure defined in the downgrade-display 
document. Otherwise such header fields should be left as is.

>not necessary when you already clearly refer to the exact sections.
I will let editors to comment on the rest of your comments.

---

From: Barry Leiba <[email-masked]>
Date: Sat, 5 Dec 2009 10:05:39 -0500

> Sean Shen 沈烁 wrote:
>
>> Also I noticed that "above" and "below" are used in a few places. These
>> are not necessary when you already clearly refer to the exact sections.

Clarity is helpful; the use of "above" and "below", here, makes the
English flow better.

>> section 4
>> The first paragraph describes a scenario that "Downgraded-From" header
>> field can not be reconstructed. But it's not clear then what will happen. Any
>> security effects?

Hm.  I think we might have lost a small bit in the re-writing.  The
intent is that downgraded header fields that can't be reconstructed be
left as they are, and might possibly be subject to the next paragraph,
about emphasizing reconstruction problems.  I think I'd like to add
this back in as a paragraph in section 3.1, "Considerations".  How's
this, as a third paragraph in 3.1?:

   In any case where reconstruction of a particular downgraded header field
   fails, both fields (the "downgraded-X" field and the "X" field) SHOULD be
   left in the message as they are.  The MUA MAY choose to communicate
   the situation to the user (see Security Considerations).

>> consideratioins in this document focuses more on downgraded-display. This

It's common to reference security considerations in related documents,
to make sure that readers understand those as well.  I don't see that
anything needs to be changed here.

Barry

---

From: Sean Shen 沈烁 <[email-masked]>
Date: Mon, 14 Dec 2009 10:44:14 +0800

Sorry for the delayed response:

> 发件人: [email-masked] [mailto:[email-masked]] 代表 Barry
> Leiba
> 发送时间: 2009年12月5日 23:06
> 收件人: [email-masked]
> 主题: Re: [EAI] I-D Action:draft-ietf-eai-downgraded-display-03.txt
> 
> > Sean Shen 沈烁 wrote:
> >

[Sean] Thanks, that answered my concern.

> anything needs to be changed here.
It is right to refer to security considerations in 5504 and 4952. I am saying the security considerations in different documents focus on different aspects, it's better to explicitly say that: this section focus on security issues of displaying downgraded messages, for security considerations for downgrading mechanism please see ....

Best, 

Sean

---

From: Barry Leiba <[email-masked]>
Date: Sun, 13 Dec 2009 22:02:52 -0500

> It is right to refer to security considerations in 5504 and 4952. I am saying the
> security considerations in different documents focus on different aspects, it's
> better to explicitly say that: this section focus on security issues of displaying
> downgraded messages, for security considerations for downgrading mechanism
> please see ....

OK, I see.  Yes, fair enough.  Alexey, would you add one more RFC Editor note?:

Section 4:
OLD:
   See "Security considerations" section in [RFC5504] and [RFC4952] for
   more discussion.
NEW:
   We have focused, here, on issues with displaying downgraded messages.  For
   more discussion of downgraded and internationalized messages in general, see
   the "Security considerations" sections in [RFC5504] and [RFC4952].

Barry

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 14 Dec 2009 11:04:11 +0000

>   the "Security considerations" sections in [RFC5504] and [RFC4952].
Ok, added.